#ifndef IOMANAGER_H
#define IOMANAGER_H
#include "definition.h"
#include <PCF8574.h>

class IOManager
{
  public:
    IOManager(PCF8574 &pcf);
    void setISROnIOChange(void (*isrFunc)(), Pin pin = GPIO_0);
    PCF8574 &getPcf();
  private:
    PCF8574 &_pcf;
  protected:
};

#endif //IOMANAGER_H
